Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.stream
Class CRLFPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.jboss.util.stream.CRLFPrintWriter

public class CRLFPrintWriter
extends PrintWriter

A `PrintWriter` that ends lines with a carriage return-line feed (`CRLF`).

### Concurrency

This class is as synchronized as `PrintWriter`.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon

Field Summary
`protected boolean` | `autoFlush`

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CRLFPrintWriter(OutputStream out)`
`CRLFPrintWriter(OutputStream out, boolean autoFlush)`
`CRLFPrintWriter(Writer out)`
`CRLFPrintWriter(Writer out, boolean autoFlush)`

Method Summary
`protected void` | `ensureOpen()`
`void` | `println()`

Methods inherited from class java.io.PrintWriter
`checkError, close, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### autoFlush

    protected boolean autoFlush

Constructor Detail

### CRLFPrintWriter

    public CRLFPrintWriter(Writer out)

### CRLFPrintWriter

    public CRLFPrintWriter(Writer out,
                           boolean autoFlush)

### CRLFPrintWriter

    public CRLFPrintWriter(OutputStream out)

### CRLFPrintWriter

    public CRLFPrintWriter(OutputStream out,
                           boolean autoFlush)

Method Detail

### ensureOpen

    protected void ensureOpen()
                       throws IOException

  Throws:
    `IOException`

### println

    public void println()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.